Subject: Re: bug#38043: Incorrect Python byte-compiling for Python 3 and PyPy3

From: Mike Frysinger <[email-masked]>
Date: Tue, 18 Jan 2022 01:51:35 -0500

On 03 Nov 2019 11:45, Michał Górny wrote:
> I've noticed that the logic in py-compile is built on assumptions from
> Python 2 and does not fit Python 3 well.  Notably, there are two or
> three bugs here:
> 
> 1. .opt-2 (-OO) level is not compiled for py3.5+.
> 
> 2. .opt-1 (-O) and .opt-2 (-OO) are wrongly skipped for PyPy3.

i'm inclined to drop support for <Python-3.6.  i know even 3.6 has reached
EOL upstream now (as of Sep 2021), but might as well pick a fairly stable
version as a base to cut off somewhere for now.
-mike